Tests

Get project test

Returns a test or component.

GET /api/public/v1/tests/{testId}

Get project test

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/tests/{TESTID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "<string>",
  "createdAt": 1,
  "name": "<string>",
  "description": "<string>",
  "isComponent": true,
  "viewportPreset": "desktop",
  "liveTestUserId": "<string>",
  "testVersionTestUserId": "<string>",
  "updatedAt": 1,
  "projectId": "<string>",
  "archivedAt": 1,
  "steps": [
    {
      "id": "<string>",
      "position": 1,
      "kind": "<string>",
      "instruction": "<string>",
      "onFailure": "stop"
    }
  ]
}

Test found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • testId string required

    Test ID.

Response

application/json
  • id string

    Opaque identifier for this resource.

  • createdAt number

    Unix timestamp in milliseconds when the resource was created.

  • name string

    Human-readable name for the resource.

  • description string | null

    Human-readable description for the resource.

  • isComponent boolean

    Whether the test definition is reusable as a component step in other tests.

  • viewportPreset string enum | null

    Viewport preset Buildprint should apply when running the test.

  • liveTestUserId string | null

    Project test user assigned when the test runs against live data.

  • testVersionTestUserId string | null

    Project test user assigned when the test runs against test data.

  • updatedAt number

    Unix timestamp in milliseconds when the resource was last updated.

  • projectId string

    Opaque identifier for the workspace project.

  • archivedAt number | null

    Unix timestamp in milliseconds when the resource was archived, if archived.

  • steps[] oneOf array

    Ordered steps for the test or component.

    + Show Child Attributes
    • oneOf options 2 variants oneOf

      Exactly one option applies.

      + Show Child Attributes
      • option 1 object
        + Show Child Attributes
        • id string

          Opaque identifier for this resource.

        • position number

          Zero-based position of the item within its ordered collection.

        • kind string

          Discriminator describing the kind of object returned.

        • instruction string

          Instruction for the step.

        • details string | null

          Optional extra detail for the step.

        • onFailure string enum enum

          Whether a run should stop immediately or continue when this step fails. Allowed values: stop, continue.

      • option 2 object
        + Show Child Attributes
        • id string

          Opaque identifier for this resource.

        • position number

          Zero-based position of the item within its ordered collection.

        • kind string

          Discriminator describing the kind of object returned.

        • componentId string | null

          Project test component identifier referenced by the step.

        • onFailure string enum enum

          Whether a run should stop immediately or continue when this step fails. Allowed values: stop, continue.